Bug 787299 - Toshiba R830-10p PT321E does not resume from suspend
Toshiba R830-10p PT321E does not resume from suspend
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 790365 917535 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-03 15:44 EST by peter.senna
Modified: 2014-05-02 09:27 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-02 09:27:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description peter.senna 2012-02-03 15:44:16 EST
Description of problem:

It enters in sleep mode normally. The power light start to flash slowly in orange color which indicates sleep mode. But after pressing a key so it would resume, nothing happens and the fan goes to high speed.


Version-Release number of selected component (if applicable):
Linux notepeter.home 2.6.41.10-3.fc15.x86_64 #1 SMP Mon Jan 23 15:46:37 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:
Enter and exit sleep mode. It will hang the notebook.

Steps to Reproduce:
1. Suspend
2. Try to resume
3.
  
Actual results:
The computer hangs

Expected results:
The resume should work.

Additional info:
Comment 1 peter.senna 2012-02-03 15:45:39 EST
Correction: It enters in sleep mode normally. The power light start to flash slowly in orange color which indicates sleep mode. But after pressing a key so it would resume, the power light goes green and stop flashing and the fan goes to higher speed. The computer freezes.
Comment 2 John Levon 2012-03-19 15:44:56 EDT
This is still the case with the latest Fedora 16 bits, fully up to date.
Comment 3 Paulo Fidalgo 2012-08-03 06:42:12 EDT
I experience the same, maybe this is related with bug #790365.
Since I still experience this with the latest kernel:
Arch        : x86_64
Version     : 3.5.0
Release     : 2.fc17

I will post updated info on that bug report, to see if it helps solving.
Comment 4 Dave Jones 2012-10-23 11:37:35 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 5 peter.senna 2012-10-23 12:43:49 EDT
The problem was not fixed on:

Linux ace.home 3.6.2-4.fc17.x86_64 #1 SMP Wed Oct 17 02:43:21 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

How can I help debugging it?
Comment 6 peter.senna 2012-10-29 12:49:46 EDT
The problem was not fixed on:

Linux ace.home 3.6.3-1.fc17.x86_64 #1 SMP Mon Oct 22 15:32:35 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

How can I help debugging it?
Comment 7 Paulo Fidalgo 2013-02-18 09:24:56 EST
Still the same bug on 3.7.7-201.fc18.x86_64
Is there anything I can do to help identifying the bug?
Comment 8 Josh Boyer 2013-03-14 13:44:13 EDT
Is this still happening with 3.8.2 in updates-testing?  If so, can you follow some of the steps here:

http://fedoraproject.org/wiki/Common_kernel_problems#Suspend.2FResume_failure

to see if you can narrow it down?
Comment 9 peter.senna 2013-03-15 05:10:46 EDT
Still happens on 3.8.2 in updates-testing...

Caps lock works for one or two seconds after resuming before hanging. echo 1 > /sys/power/pm_trace and on next boot dmesg | grep "hash matches" gave no result.

I have tried:

while true; do dmesg|tail -n 100 > dmesg.out;sleep 0.05;done

but nothing was recorded related to suspend/resume. Am I facing SATA module problem?

How can I debug it?
Comment 10 peter.senna 2013-03-15 05:13:26 EDT
Linus has posted on his G+(https://plus.google.com/102150693225130002912/posts/UCoQzy8g2xB):

"The suspend problems seem to be solved too. There's an annoying "feature" in the Pixel coreboot suspend code, but Duncan Laurie figured it out, and it's related to the resume code checking the TPM state. The workaround is to make sure that the TPM driver is active, which makes the coreboot TPM checks happy."

How can activate TPM driver on my notebook?
Comment 11 Paulo Fidalgo 2013-03-15 05:16:20 EDT
I'm facing this with 3.8.2-206.fc18.x86_64 too. Like the previous comment I don't have any hash matches. I'm busy at the moment, but when I have some free time I will remove some modules trying to figure if I can find something.
Comment 12 peter.senna 2013-03-18 06:18:23 EDT
Same problem on 3.8.3-101.fc17.x86_64. I have tested suspend/resume with TPM driver active and made no difference.
Comment 13 peter.senna 2013-03-18 06:42:49 EDT
Using 3.8.3-101.fc17.x86_64, I have booted on text mode with additional GRUB_CMDLINE_LINUX: i915.modeset=0 vga16fb.blacklist=1 3

Then:
# echo mem > /sys/power/state

Nothing has changed. Same behavior.
Comment 14 Fedora End Of Life 2013-07-03 19:27:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Paulo Fidalgo 2013-07-03 19:30:42 EDT
This behaviour is still in FC19.
I have this two open bugs that seems related #790365 and #917535
Comment 16 peter.senna 2013-07-04 08:58:51 EDT
I've tested and the problem persists. I've disabled all network devices LAN, 3G, Wifi and Bluetooth from Bios, have disable legacy USB emulation for keyboard, have disabled AHCI mode of SATA, and the problem persists...
Comment 17 Josh Boyer 2013-09-18 16:36:02 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 18 Paulo Fidalgo 2013-09-19 05:05:23 EDT
Unfortunately the bug persists with kernel 3.11.1-200.fc19.x86_64
Comment 19 peter.senna 2013-09-26 07:37:00 EDT
I'll be at the Kernel Summit in Edinburgh with my notebook, and I'll be very happy to receive some pointers to fix this issue. Do you know who can I find there that could give me some help fixing this issue?
Comment 20 peter.senna 2013-10-30 16:18:21 EDT
I'm trying to fix this issue, but I need your help. I'm publishing all information at:

https://plus.google.com/102545580595263766229/posts/A275tmEy3Ao

Can you give me any advice?

Thanks!
Comment 21 peter.senna 2013-11-01 09:02:34 EDT
This issue may be related to VT-d / x2apic. Disabling VT-d on the BIOS, makes the resume work. With VT-d enabled, passing nox2apic as boot parameter to Kernel also makes the resume work. I would consider both as workarounds instead of fixes...
Comment 22 Paulo Fidalgo 2013-11-12 06:49:23 EST
I can confirm the #21 workarounds.
Comment 23 Paulo Fidalgo 2013-11-12 06:53:09 EST
*** Bug 790365 has been marked as a duplicate of this bug. ***
Comment 24 Paulo Fidalgo 2013-11-12 06:54:13 EST
*** Bug 917535 has been marked as a duplicate of this bug. ***
Comment 25 Justin M. Forbes 2014-01-03 17:09:53 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 26 peter.senna 2014-01-05 08:57:26 EST
Bug still there with: 3.12.6-200.fc19.x86_64 #1 SMP Mon Dec 23 16:33:38 UTC 2013
Comment 27 peter.senna 2014-03-04 16:30:04 EST
Bug still there with: 3.13.5-101.fc19.x86_64 #1 SMP Tue Feb 25 21:25:32 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
Comment 28 Justin M. Forbes 2014-03-10 10:49:07 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.13.5-100.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 29 Paulo Fidalgo 2014-03-10 11:48:43 EDT
Without the x2apic boot parameter I'm still unable to resume the laptop, so the bug is still present with kernel 3.13.6-200.fc20.x86_64.
Comment 30 peter.senna 2014-03-10 12:04:28 EDT
This can be an firmware issue. Windows 7 do no use x2apic while Windows 8 does. There are similar bug reports for Windows 8:

http://forums.toshiba.com/t5/Windows-8-8-1/Resume-from-standby-issue-on-R830-PT321A-01K002/td-p/330110

So maybe this is not a Kernel bug, and we may need to wait for a BIOS upgrade...

See: https://lkml.org/lkml/2014/3/6/412
Comment 31 peter.senna 2014-05-02 09:27:39 EDT
This seem to be a bug on the notebook. See comment 30.

Note You need to log in before you can comment on or make changes to this bug.